## org.apache.hadoop.streaming
Class PipeMapRed

    java.lang.Object
      org.apache.hadoop.streaming.PipeMapRed

Direct Known Subclasses:
  PipeMapper, PipeReducer

    public abstract class PipeMapRed

extends Object

Shared functionality for PipeMapper, PipeReducer.

Field Summary
`protected static org.apache.commons.logging.Log` `LOG`
`protected Throwable` `outerrThreadsThrowable`

Constructor Summary
`PipeMapRed()`

Method Summary
`void` `configure(JobConf job)`
`DataInput` `getClientInput()` Returns the DataInput from which the client output is read.
`DataOutput` `getClientOutput()` Returns the DataOutput to which the client input is written.
`Configuration` `getConfiguration()` Returns the Configuration.
`String` `getContext()`
`abstract byte[]` `getFieldSeparator()` Returns the field separator to be used.
`abstract byte[]` `getInputSeparator()` Returns the input separator to be used.
`abstract int` `getNumOfKeyFields()` Returns the number of key fields.
`void` `mapRedFinished()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    protected static final org.apache.commons.logging.Log LOG

### outerrThreadsThrowable

    protected volatile Throwable outerrThreadsThrowable

Constructor Detail

### PipeMapRed

    public PipeMapRed()

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Returns the Configuration.

### getClientOutput

    public DataOutput getClientOutput()

  Returns the DataOutput to which the client input is written.

### getClientInput

    public DataInput getClientInput()

  Returns the DataInput from which the client output is read.

### getInputSeparator

    public abstract byte[] getInputSeparator()

  Returns the input separator to be used.

### getFieldSeparator

    public abstract byte[] getFieldSeparator()

  Returns the field separator to be used.

### getNumOfKeyFields

    public abstract int getNumOfKeyFields()

  Returns the number of key fields.

### configure

    public void configure(JobConf job)

### mapRedFinished

    public void mapRedFinished()

### getContext

    public String getContext()

Copyright © 2009 The Apache Software Foundation